% Programm aufg56_plot Plot des Graphs eines kubischen Splines (periodisch)
% fuer die Stuetzpunkte (x_0,y_0),...,(x_n,y_n)
% input:  Vektoren x(1:n+1), y(1:n+1)
% benutzte Funktionen: splabl_per, splber_per
% aufruf:  aufg56_plot(x,y);
function aufg56_plot(x,y);
n=length(x)-1;
xmin=min(x);
xmax=max(x);
ys = splabl_per(x,y,n);
for i=1:300
   xx(i)=xmin+(i-1)*(xmax-xmin)/299;
   yy(i) = splber_per(xx(i),x,y,ys,n);
end
xxyy=[xx yy];
% Sicherung der berechneten Spline-Werte unter dem Namen "xxyy"
save 'xxyy' xxyy;
plot(x,y,'+',xx,yy)
end % function
