% Programm zur Bestimmung der 2. Ableitungen (periodisch)
function [xs] = splabl_per(x,y,n);
% Interpolation mit echten Splines/Bestimmung der Ableitungen ***
for i=0:n-1
   ys(1+i)=x(2+i)-x(1+i);
end
xs = zeros(n,1);
b = zeros(n,1);
% Aufbau der Koeffizientenmatrix aa(n,n)
aa = zeros(n,n);
aa(1,1) = 2*(ys(n)+ys(1)); aa(1,2) = ys(1); aa(1,n) = ys(n);
aa(n,1) = ys(n); aa(n,n-1) = ys(n-1); aa(n,n) = 2*(ys(n-1)+ys(n));
for i=2:n-1
   aa(i,i-1) = ys(i);
   aa(i,i+1) = ys(i+1);
   aa(i,i) = 2*(ys(i+1)+ys(i));
end
b(1) = 6*((y(2)-y(1))/ys(1)-(y(1)-y(n))/ys(n));
b(n) = 6*((y(1)-y(n))/ys(n)-(y(n)-y(n-1))/ys(n-1));
for i=2:n-1
   b(i)=6*((y(i+1)-y(i))/ys(i)-(y(i)-y(i-1))/ys(i-1));
end
% Bestimmung der Ableitungen xs(1)...xs(n+1)
xs = aa\b;
xs(n+1)=x(1);
end % function
